Copy & Paste of Symbol from one category to another broken

2019-04-09 04:10 PM - Brett Carlock

Status: Feedback

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:3.6.1 Regression?: No

Operating System: Win10 x64 Pro (1809 Build 17763.404) Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 29627

Description

STR:

Copy symbol of one category

Select another category on the same layer, in the same Layer Symbology tab, without closing/reopening Layer properties or navigating

away at any point

Paste symbol to another catgegory

Expected results:

Symbol is pasted to the selected category

Actual results:

Symbol is not pasted to the selected category

Example:

Copy symbol for "C" (County Route) to "SH" (State 900 Highway)

Does not transfer symbology, must be re-built manually.

History

#1 - 2019-04-10 05:17 PM - Giovanni Manghi

- Status changed from Open to Feedback

is this is a bug or a feature request?

#2 - 2019-04-10 07:36 PM - Brett Carlock

Giovanni Manghi wrote:

is this is a bug or a feature request?

Bug, as filed. 

Unless the context menu entries for copy/paste of Style Symbols are just place-holders, in which case I guess this would be a feature request.

#3 - 2019-04-10 07:39 PM - Giovanni Manghi

Unless the context menu entries for copy/paste of Style Symbols are just place-holders, in which case I guess this would be a feature request.
so it actually never worked as expected (maybe because it was never implemented in the first place), correct?

#4 - 2019-04-10 07:48 PM - Brett Carlock

Giovanni Manghi wrote:

so it actually never worked as expected (maybe because it was never implemented in the first place), correct?

Yes, that would be correct. However, I've only just discovered/tried to use this as of yesterday under 3.6.1, so I don't know when it was implemented, nor if

this is a regression and this worked previously. Sorry :\

#5 - 2019-04-10 07:51 PM - Giovanni Manghi

Yes, that would be correct. However, I've only just discovered/tried to use this as of yesterday under 3.6.1, so I don't know when it was

implemented, nor if this is a regression and this worked previously. Sorry :\

my hunch is that it was never implemented, so this would be a feature request. But I can be wrong...

#6 - 2019-04-10 09:20 PM - Brett Carlock

- File Annotation 2019-04-10 151920.png added

Giovanni Manghi wrote:

my hunch is that it was never implemented, so this would be a feature request. But I can be wrong...

It looks like this feature is present as of QGIS 2.18.28, but does not work in the same manner as it does not work under QGIS 3.6.1.

Am I just not understanidng what that copy/paste context menu item is for?

#7 - 2019-04-10 09:34 PM - Giovanni Manghi

Brett Carlock wrote:

Giovanni Manghi wrote:

my hunch is that it was never implemented, so this would be a feature request. But I can be wrong...

It looks like this feature is present as of QGIS 2.18.28, but does not work in the same manner as it does not work under QGIS 3.6.1.

Am I just not understanidng what that copy/paste context menu item is for?

it works for the rule based renderer, but the documentation leave the impression it should work also for other types of symbology.
